/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.pmarlen.client.view;

import com.pmarlen.client.ApplicationInfo;
import java.awt.Color;
import java.awt.event.KeyEvent;
import javax.swing.JFrame;

/**
 *
 * @author alfredo
 */
public class VisorDePedidoJDialog extends javax.swing.JDialog {
	private Color defaultSelectionBackground;

	/**
	 * Creates new form VisorDePedidoJDialog
	 */
	public VisorDePedidoJDialog(JFrame parent) {
		super(parent,"Ver Pedido Venta");
		initComponents();
		defaultSelectionBackground = detallePedidoTable.getSelectionBackground();
	}

	/**
	 * This method is called from within the constructor to initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is always
	 * regenerated by the Form Editor.
	 */
	@SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jScrollPane1 = new javax.swing.JScrollPane();
        detallePedidoTable = new javax.swing.JTable();
        jPanel1 = new javax.swing.JPanel();
        jPanel26 = new javax.swing.JPanel();
        jPanel12 = new javax.swing.JPanel();
        jPanel11 = new javax.swing.JPanel();
        jLabel7 = new javax.swing.JLabel();
        subtotal = new javax.swing.JTextField();
        jPanel9 = new javax.swing.JPanel();
        jLabel5 = new javax.swing.JLabel();
        discount = new javax.swing.JTextField();
        jPanel10 = new javax.swing.JPanel();
        jLabel6 = new javax.swing.JLabel();
        total = new javax.swing.JTextField();
        jPanel8 = new javax.swing.JPanel();
        recibimosOAprobacion = new javax.swing.JLabel();
        recibimos = new javax.swing.JTextField();
        jPanel16 = new javax.swing.JPanel();
        cambioLabel = new javax.swing.JLabel();
        cambio = new javax.swing.JTextField();
        jPanel27 = new javax.swing.JPanel();
        jLabel11 = new javax.swing.JLabel();
        totalArticulos = new javax.swing.JTextField();
        jPanel15 = new javax.swing.JPanel();
        jPanel5 = new javax.swing.JPanel();
        jLabel4 = new javax.swing.JLabel();
        fechaYHora = new javax.swing.JTextField();
        jPanel7 = new javax.swing.JPanel();
        jLabel8 = new javax.swing.JLabel();
        caja = new javax.swing.JTextField();
        jLabel1 = new javax.swing.JLabel();
        usuario = new javax.swing.JTextField();
        jPanel3 = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        cliente = new javax.swing.JTextField();
        jPanel4 = new javax.swing.JPanel();
        jLabel3 = new javax.swing.JLabel();
        formaDePago = new javax.swing.JTextField();
        jPanel6 = new javax.swing.JPanel();
        reimprimirTicketBtn = new javax.swing.JButton();
        cerrarBtn = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);

        jScrollPane1.setPreferredSize(new java.awt.Dimension(320, 220));

        detallePedidoTable.addFocusListener(new java.awt.event.FocusAdapter() {
            public void focusGained(java.awt.event.FocusEvent evt) {
                detallePedidoTableFocusGained(evt);
            }
            public void focusLost(java.awt.event.FocusEvent evt) {
                detallePedidoTableFocusLost(evt);
            }
        });
        detallePedidoTable.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyPressed(java.awt.event.KeyEvent evt) {
                detallePedidoTableKeyPressed(evt);
            }
        });
        jScrollPane1.setViewportView(detallePedidoTable);

        getContentPane().add(jScrollPane1, java.awt.BorderLayout.CENTER);

        jPanel1.setPreferredSize(new java.awt.Dimension(623, 290));
        jPanel1.setLayout(new java.awt.GridLayout(2, 1, 5, 0));

        jPanel26.setLayout(new java.awt.BorderLayout());

        jPanel12.setLayout(new java.awt.GridLayout(5, 1));

        jPanel11.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT, 5, 0));

        jLabel7.setText(ApplicationInfo.getLocalizedMessage("LBL_PEDIDO_SUBTOTAL")); // NOI18N
        jPanel11.add(jLabel7);

        subtotal.setEditable(false);
        subtotal.setColumns(10);
        subtotal.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        subtotal.setFocusable(false);
        jPanel11.add(subtotal);

        jPanel12.add(jPanel11);

        jPanel9.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT, 5, 0));

        jLabel5.setText(ApplicationInfo.getLocalizedMessage("LBL_PEDIDO_DISCOUNT")); // NOI18N
        jPanel9.add(jLabel5);

        discount.setColumns(10);
        discount.setEditable(false);
        discount.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        discount.setFocusable(false);
        jPanel9.add(discount);

        jPanel12.add(jPanel9);

        jPanel10.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT, 5, 0));

        jLabel6.setFont(new java.awt.Font("Tahoma", 1, 11)); // NOI18N
        jLabel6.setText(ApplicationInfo.getLocalizedMessage("LBL_PEDIDO_TOTAL")); // NOI18N
        jPanel10.add(jLabel6);

        total.setEditable(false);
        total.setColumns(10);
        total.setFont(new java.awt.Font("Tahoma", 1, 11)); // NOI18N
        total.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        total.setFocusable(false);
        jPanel10.add(total);

        jPanel12.add(jPanel10);

        jPanel8.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT, 5, 0));

        recibimosOAprobacion.setText("Recibimos :");
        jPanel8.add(recibimosOAprobacion);

        recibimos.setEditable(false);
        recibimos.setColumns(10);
        recibimos.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        jPanel8.add(recibimos);

        jPanel12.add(jPanel8);

        jPanel16.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT, 5, 0));

        cambioLabel.setText("Su cambio :");
        jPanel16.add(cambioLabel);

        cambio.setEditable(false);
        cambio.setColumns(10);
        cambio.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        jPanel16.add(cambio);

        jPanel12.add(jPanel16);

        jPanel26.add(jPanel12, java.awt.BorderLayout.CENTER);

        jPanel27.setPreferredSize(new java.awt.Dimension(200, 29));

        jLabel11.setText("# Articulos :");
        jPanel27.add(jLabel11);

        totalArticulos.setEditable(false);
        totalArticulos.setColumns(4);
        totalArticulos.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        jPanel27.add(totalArticulos);

        jPanel26.add(jPanel27, java.awt.BorderLayout.WEST);

        jPanel1.add(jPanel26);

        jPanel15.setLayout(new java.awt.GridLayout(5, 1));

        jPanel5.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT, 5, 0));

        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel4.setText("Fecha y Hora :");
        jLabel4.setPreferredSize(new java.awt.Dimension(120, 18));
        jPanel5.add(jLabel4);

        fechaYHora.setEditable(false);
        fechaYHora.setColumns(12);
        jPanel5.add(fechaYHora);

        jPanel15.add(jPanel5);

        jPanel7.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT, 5, 0));

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel8.setText("Caja :");
        jLabel8.setPreferredSize(new java.awt.Dimension(120, 18));
        jPanel7.add(jLabel8);

        caja.setEditable(false);
        caja.setColumns(2);
        jPanel7.add(caja);

        jLabel1.setText("Usuario en Turno :");
        jPanel7.add(jLabel1);

        usuario.setEditable(false);
        usuario.setColumns(20);
        jPanel7.add(usuario);

        jPanel15.add(jPanel7);

        jPanel3.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT, 5, 0));

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("Cliente :");
        jLabel2.setPreferredSize(new java.awt.Dimension(120, 18));
        jPanel3.add(jLabel2);

        cliente.setEditable(false);
        cliente.setColumns(30);
        jPanel3.add(cliente);

        jPanel15.add(jPanel3);

        jPanel4.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT, 5, 0));

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText(ApplicationInfo.getLocalizedMessage("LABEL_FORMADEPAGO")); // NOI18N
        jLabel3.setPreferredSize(new java.awt.Dimension(120, 18));
        jPanel4.add(jLabel3);

        formaDePago.setEditable(false);
        formaDePago.setColumns(18);
        jPanel4.add(formaDePago);

        jPanel15.add(jPanel4);

        jPanel6.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.CENTER, 25, 0));

        reimprimirTicketBtn.setText(ApplicationInfo.getLocalizedMessage("LABEL_REPRINT_TICKET")); // NOI18N
        jPanel6.add(reimprimirTicketBtn);

        cerrarBtn.setText(ApplicationInfo.getLocalizedMessage("LABEL_RESET")); // NOI18N
        jPanel6.add(cerrarBtn);

        jPanel15.add(jPanel6);

        jPanel1.add(jPanel15);

        getContentPane().add(jPanel1, java.awt.BorderLayout.SOUTH);

        setSize(new java.awt.Dimension(837, 551));
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void detallePedidoTableFocusGained(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_detallePedidoTableFocusGained
        detallePedidoTable.setSelectionBackground(Color.GREEN);
    }//GEN-LAST:event_detallePedidoTableFocusGained

    private void detallePedidoTableFocusLost(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_detallePedidoTableFocusLost
        detallePedidoTable.setSelectionBackground(defaultSelectionBackground);
    }//GEN-LAST:event_detallePedidoTableFocusLost

    private void detallePedidoTableKeyPressed(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_detallePedidoTableKeyPressed
        if (evt.getKeyCode() == KeyEvent.VK_ENTER) {
            evt.consume();
        } else if (evt.getKeyCode() == KeyEvent.VK_TAB) {
            evt.consume();
            detallePedidoTable.transferFocus();
        }
    }//GEN-LAST:event_detallePedidoTableKeyPressed

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTextField caja;
    private javax.swing.JTextField cambio;
    private javax.swing.JLabel cambioLabel;
    private javax.swing.JButton cerrarBtn;
    private javax.swing.JTextField cliente;
    private javax.swing.JTable detallePedidoTable;
    private javax.swing.JTextField discount;
    private javax.swing.JTextField fechaYHora;
    private javax.swing.JTextField formaDePago;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel10;
    private javax.swing.JPanel jPanel11;
    private javax.swing.JPanel jPanel12;
    private javax.swing.JPanel jPanel15;
    private javax.swing.JPanel jPanel16;
    private javax.swing.JPanel jPanel26;
    private javax.swing.JPanel jPanel27;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JPanel jPanel5;
    private javax.swing.JPanel jPanel6;
    private javax.swing.JPanel jPanel7;
    private javax.swing.JPanel jPanel8;
    private javax.swing.JPanel jPanel9;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTextField recibimos;
    private javax.swing.JLabel recibimosOAprobacion;
    private javax.swing.JButton reimprimirTicketBtn;
    private javax.swing.JTextField subtotal;
    private javax.swing.JTextField total;
    private javax.swing.JTextField totalArticulos;
    private javax.swing.JTextField usuario;
    // End of variables declaration//GEN-END:variables

	/**
	 * @return the cambio
	 */
	public javax.swing.JTextField getCambio() {
		return cambio;
	}

	/**
	 * @return the cambioLabel
	 */
	public javax.swing.JLabel getCambioLabel() {
		return cambioLabel;
	}

	/**
	 * @return the cerrarBtn
	 */
	public javax.swing.JButton getCerrarBtn() {
		return cerrarBtn;
	}

	/**
	 * @return the cliente
	 */
	public javax.swing.JTextField getCliente() {
		return cliente;
	}

	/**
	 * @return the detallePedidoTable
	 */
	public javax.swing.JTable getDetallePedidoTable() {
		return detallePedidoTable;
	}

	/**
	 * @return the discount
	 */
	public javax.swing.JTextField getDiscount() {
		return discount;
	}

	/**
	 * @return the formaDePago
	 */
	public javax.swing.JTextField getFormaDePago() {
		return formaDePago;
	}

	/**
	 * @return the recibimos
	 */
	public javax.swing.JTextField getRecibimos() {
		return recibimos;
	}

	/**
	 * @return the recibimosOAprobacion
	 */
	public javax.swing.JLabel getRecibimosOAprobacion() {
		return recibimosOAprobacion;
	}

	/**
	 * @return the reimprimirTicketBtn
	 */
	public javax.swing.JButton getReimprimirTicketBtn() {
		return reimprimirTicketBtn;
	}

	/**
	 * @return the subtotal
	 */
	public javax.swing.JTextField getSubtotal() {
		return subtotal;
	}

	/**
	 * @return the total
	 */
	public javax.swing.JTextField getTotal() {
		return total;
	}

	/**
	 * @return the totalArticulos
	 */
	public javax.swing.JTextField getTotalArticulos() {
		return totalArticulos;
	}

	/**
	 * @return the usuario
	 */
	public javax.swing.JTextField getUsuario() {
		return usuario;
	}

	/**
	 * @return the caja
	 */
	public javax.swing.JTextField getCaja() {
		return caja;
	}

	/**
	 * @return the fechaYHora
	 */
	public javax.swing.JTextField getFechaYHora() {
		return fechaYHora;
	}
}
